package test.com.philisense.www.controller.http.app;

import com.alibaba.fastjson.JSON;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;


import test.base.HttpUtilsForm;

import java.util.*;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import com.philisense.www.common.config.CommonConst;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.springframework.core.io.FileSystemResource;
import org.springframework.http.ResponseEntity;

public class TestProMenuControllerWithHttpClientForApp  {




            @BeforeEach
            public void setUpTestDataWithinTransaction() {

            // set up test data within the transaction

            }

            @AfterEach
            public void tearDownWithinTransaction() {

            // execute "tear down" logic within the transaction

            }

            @Test
            @Disabled
            public void testProMenuDeleteByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/delete?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProMenuSelectByPrimaryKeyForApp(){
                String id = UUID.randomUUID().toString().replaceAll("-","");
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/get?recordid="+id;
            	String charset = HttpUtilsForm.UTF8;
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doGet(url, charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProMenuInsertForApp(){
            	
            	Map<String, Object> headerMap = new HashMap<String, Object>();
            	
            	headerMap.put("Content-Type", "application/json");
            	
            	
            	
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/insert";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }               
                
            }

            @Test
            @Disabled
            public void testProMenuUpdateForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/update";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProMenuDeleteByMapForApp(){
	        	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/deleteByMap";
	        	String charset = HttpUtilsForm.UTF8;
	        	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
	            try {
	                //括号里的是前台发送的url连接
	                String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
	                System.out.println(body);                                                       
	            } catch (Exception e) {
	                e.printStackTrace();
	            } 
                
            }

            @Test
            @Disabled
            public void testProMenuUpdateByMapForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/updateByMap";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProMenuGetOneForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/getOne";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProMenuGetAllForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/getAll";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProMenuCountForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/count";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testProMenuQueryPageForApp(){
            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/queryPage";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> params = new HashMap<String, Object>();
                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProMenuInsertBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();



                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局



                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


               	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/insertBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }

            @Test
            @Disabled
            public void testProMenuDeleteBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局

                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/deleteBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }

            @Test
            @Disabled
            public void testProMenuUpdateBatchForApp(){

                List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();


                Map<String, Object> params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


                params = new HashMap<String, Object>();


                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


                params = new HashMap<String, Object>();

                //设置 请求参数
                params.put("recordid","recordid");//菜单Id
                params.put("id","id");//菜单编号
                params.put("text","text");//菜单名称
                params.put("alias","alias");//别名
                params.put("parentid","parentid");//父菜单ID
                params.put("module","module");//所属模块
                params.put("indexs","indexs");//位置
                params.put("icon","icon");//图标
                params.put("remark","remark");//备注
                params.put("sequences","sequences");//顺序
                params.put("category_type",0);//链接类型 0=模块 1=外链
                params.put("action",0);//操作按钮类型
                params.put("href","href");//链接
                params.put("hreftarget","hreftarget");//弹出目标
                params.put("params","params");//参数
                params.put("target","target");//打开方式 _self _blank
                params.put("is_navi",0);//导航 0=否 1=是
                params.put("enable","enable");//是否可用
                params.put("valid","valid");//是否有效
                params.put("leaf","leaf");//是否叶子
                params.put("systemid","systemid");//系统ID
                params.put("isframe","isframe");//是否frame
                params.put("levelcode","levelcode");//层次码
                params.put("leaftype","leaftype");//节点级别
                params.put("cls","cls");//层叠样式
                params.put("component","component");//前端动态组件路径
                params.put("i18n_name","i18n_name");//菜单国际化
                params.put("redirect","redirect");//重定向路由地址
                params.put("hideInMenu","hideInMenu");//本节隐藏
                params.put("hideChildrenInMenu","hideChildrenInMenu");//隐藏父节点的孩子
                params.put("hideLayout","hideLayout");//是否使用layout布局


                list.add(params);


            	String url = HttpUtilsForm.WebconnectURL+CommonConst.APP_REST_SERVICE_PREFICX+"promenu/updateBatch";
            	String charset = HttpUtilsForm.UTF8;
            	Map<String, Object> paramsbody = new HashMap<String, Object>();
                //设置 请求参数
            	paramsbody.put("list",list);//用户Id
                try {
                    //括号里的是前台发送的url连接
                    String body = HttpUtilsForm.doPost(url, JSON.toJSONString(params), charset);
                    System.out.println(body);                                                       
                } catch (Exception e) {
                    e.printStackTrace();
                } 
            }


            @Test
            @Disabled
            public void testexportForProMenuForApp() throws IOException {
                    /*
                    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"promenu/export";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProMenu.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testexportTemplateForProMenuForApp() throws IOException {
                    /*
            	    // 待下载的文件地址
                    String url = CommonConst.APP_REST_SERVICE_PREFICX+"promenu/exportTemplate";
                    ResponseEntity<byte[]> rsp = template.getForEntity(url, byte[].class);
                    System.out.println("文件下载请求结果状态码：" + rsp.getStatusCode());

                    // 将下载下来的文件内容保存到本地
                    String filename = "客户用户表";
                    // 将下载下来的文件内容保存到本地
                    String targetPath = "path_xxx/"+filename+"_ProMenu.xlsx";
                    Files.write(Paths.get(targetPath), Objects.requireNonNull(rsp.getBody(),
                    "未获取到下载文件"));
                    */
            }

            @Test
            @Disabled
            public void testimportExcelForProMenuForApp()  {
                /*
            	// 文件上传服务上传接口
                String url = CommonConst.APP_REST_SERVICE_PREFICX+"promenu/importExcel";
                // 待上传的文件（存在客户端本地磁盘）
                String filename = "客户用户表";
                // 将下载下来的文件内容保存到本地
                String targetPath = "path_xxx/"+filename+"_ProMenu.xlsx";
                // 封装请求参数
                FileSystemResource resource = new FileSystemResource(new File(targetPath));
                MultiValueMap<String, Object> param = new LinkedMultiValueMap<>();
                param.add("file", resource);  //服务端MultipartFile uploadFile
                //param.add("param1", "test");   //服务端如果接受额外参数，可以传递


                // 发送请求并输出结果
                System.out.println("--- 开始上传文件 ---");
                String result = template.postForObject(url, param, String.class);
                System.out.println("--- 访问地址：" + result);
                */
            }

}
